Billing

Check subscription status (public)

AuthPublic
GroupBilling
Rate limitSee Rate Limits
GET/api/billing/public/projects/{projectId}/subscription

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.checkSubscription("proj_c7iLfeh4fcpW");
const { data: result } = await billing.checkSubscription("proj_c7iLfeh4fcpW");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Query Parameters

NameTypeRequiredDescription
emailstringYesCustomer email to check subscription for

Responses

200Subscription status
json
{
  "hasSubscription": true,
  "subscription": {
    "status": "active",
    "plan": "65a1b2c3d4e5f6789012345d"
  }
}
{
  "hasSubscription": true,
  "subscription": {
    "status": "active",
    "plan": "65a1b2c3d4e5f6789012345d"
  }
}
Edit this page on GitHub